import { defineConfig } from "vite";
import { VitePWA } from "vite-plugin-pwa";
import { version } from "./package.json";

export default defineConfig({
  define: {
    "process.env.PACKAGE_VERSION": JSON.stringify(version),
    "process.env.BUILD_TIME": JSON.stringify(new Date().toISOString()),
  },
  plugins: [
    VitePWA({
      devOptions: {
        enabled: true,
      },
      includeAssets: ["**/*.png", "**/*.ico", "**/*.webmanifest"],
      manifest: {
        name: "SURE",
        short_name: "SURE",
        theme_color: "#44a616",
        background_color: "#3d006e",
        display: "minimal-ui",
        scope: "/",
        start_url: "/",
        icons: [
          {
            src: "/android-chrome-192x192.png",
            sizes: "192x192",
            type: "image/png",
          },
          {
            src: "/android-chrome-512x512.png",
            sizes: "512x512",
            type: "image/png",
          },
        ],
      },
    }),
  ],
});
