import { defineConfig } from "vite";
import { makeOffline } from "vite-plugin-make-offline";
import { VitePWA } from "vite-plugin-pwa";

export default defineConfig({
  plugins: [
    makeOffline(),
    VitePWA({
      devOptions: {
        enabled: true,
      },
      manifest: {
        name: "SURE",
        short_name: "SURE",
        theme_color: "#44a616",
        background_color: "#3d006e",
        display: "minimal-ui",
        scope: "/",
        start_url: "/",
        icons: [
          {
            src: "/android-chrome-192x192.png",
            sizes: "192x192",
            type: "image/png",
          },
          {
            src: "/android-chrome-512x512.png",
            sizes: "512x512",
            type: "image/png",
          },
        ],
      },
    }),
  ],
});
